#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidSeriesLocator {
    #[serde(rename = "seriesRid")]
    series_rid: conjure_object::ResourceIdentifier,
}
impl InvalidSeriesLocator {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(series_rid: conjure_object::ResourceIdentifier) -> Self {
        Self::builder().series_rid(series_rid).build()
    }
    #[inline]
    pub fn series_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.series_rid
    }
}
impl conjure_error::ErrorType for InvalidSeriesLocator {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidSeriesLocator"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["seriesRid"]
    }
}
